%define version	0.6
%define release 1mdk
%define dataversion 0.1

%define major 0
%define libname %mklibname %{name}

Name: 	 	gmodconfig
Summary: 	Kernel module configuration / lookup utilities
Version: 	%{version}
Release: 	%{release}
URL:		http://gmodconfig.sourceforge.net/
License:	GPL
Group:		System/Configuration/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}-data-%{dataversion}.tar.bz2
Patch0:		%{name}-0.6-remove-gziped-module-suffix.patch.bz2

BuildRequires:	libgnomeui2-devel
BuildRequires:	rpm-devel >= 4.2
BuildRequires:	scrollkeeper >= 0.3.10
BuildRequires:	gnome-common
BuildRequires:	automake1.7
BuildRequires:	autoconf2.5
Prereq:		scrollkeeper >= 0.3.10
Prereq:		yelp
Requires:	%{libname}%{major} = %{version}-%{release}
Requires:	usermode

%description
GModConfig is a GNOME2 application which allows (or will allow) Linux users to:
    * configure kernel modules' parameters, in their native language (if such
      translations exist),
    * check for new versions of kernel modules, as well as download, build and
      install those
    * access kernel modules informations (license, authors, link to website)

It's mainly aimed at non-experienced Linux users, however even long time Linux
users might find it useful! 

%package	-n %{libname}%{major}
Summary: 	Essential library for kernel module info editor
Group:		System/Libraries
Provides:	%{libname} = %{version}-%{release}

%description	-n %{libname}%{major}
GModConfig is a GNOME2 application which allows (or will allow) Linux users to:
    * configure kernel modules' parameters, in their native language (if such
      translations exist),
    * check for new versions of kernel modules, as well as download, build and
      install those
    * access kernel modules informations (license, authors, link to website)

This library is essential for gmodconfigedit, the module info editor bundled
with %{name}, to work.

%prep
%setup -q -a1
%patch0 -p1 -b .gzip-module

%build
%configure2_5x --bindir=%{_sbindir} --enable-static=no
%make
										
%install
rm -rf %{buildroot}
%makeinstall_std

# don't bother doing configure/make/makeinstall for data, what it
# does is just copying xml file to some location
mkdir -p %{buildroot}%{_datadir}/%{name}/xml
install -m 644 %{name}-data-%{dataversion}/*.xml %{buildroot}%{_datadir}/%{name}/xml/


# menu
mkdir -p %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}): command="%{_sbindir}/gmodconfig" icon="configuration_section.png" needs="x11" title="GModConfig" longtitle="Kernel Module Utilities" section="Configuration/Other"
?package(%{name}): command="%{_sbindir}/gmodconfigedit" icon="configuration_section.png" needs="x11" title="GModConfigEdit" longtitle="Kernel Module Info Editor" section="Configuration/Other"
EOF

mv %{buildroot}%{_sbindir}/gmodconfig{,.real}
mv %{buildroot}%{_sbindir}/gmodconfigedit{,.real}
ln -s %{_bindir}/consolehelper %{buildroot}%{_sbindir}/gmodconfig
ln -s %{_bindir}/consolehelper %{buildroot}%{_sbindir}/gmodconfigedit

# pam.d entries
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
cat > %{buildroot}%{_sysconfdir}/pam.d/gmodconfig << _EOF_
#%PAM-1.0
auth       sufficient	pam_rootok.so
auth       sufficient	pam_timestamp.so
auth       required	pam_stack.so service=system-auth
session    required	pam_permit.so
session    optional	pam_xauth.so
session    optional	pam_timestamp.so
account    required	pam_permit.so
_EOF_
cp %{buildroot}%{_sysconfdir}/pam.d/gmodconfig{,edit}

# console.apps entries
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
cat > %{buildroot}%{_sysconfdir}/security/console.apps/gmodconfig << _EOF_
USER=root
PROGRAM=%{_sbindir}/gmodconfig.real
SESSION=true
FALLBACK=false
_EOF_
cat > %{buildroot}%{_sysconfdir}/security/console.apps/gmodconfigedit << _EOF_
USER=root
PROGRAM=%{_sbindir}/gmodconfigedit.real
SESSION=true
FALLBACK=false
_EOF_

for i in %{buildroot}%{_datadir}/%{name}/doc/%{name}/*; do
  touch $i/%{name}.html
done

# remove unwanted files
# .so is needed by bonobo server!
rm -f %{buildroot}%{_libdir}/lib*.{a,la}

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%update_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi
if [ -x %{_bindir}/yelp-pregenerate ]; then
  %{_bindir}/yelp-pregenerate %{_datadir}/%{name}/doc/%{name}/*/%{name}.xml > /dev/null
fi

%postun
%clean_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi

%post -n %{libname}%{major} -p /sbin/ldconfig
%postun -n %{libname}%{major} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING NEWS
%config(noreplace) %{_sysconfdir}/pam.d/*
%config(noreplace) %{_sysconfdir}/security/console.apps/*
%{_sbindir}/*
%{_libdir}/bonobo/servers/*.server
%{_datadir}/%{name}
%{_datadir}/omf/*
%{_menudir}/%{name}
%ghost %{_datadir}/%{name}/doc/%{name}/*/%{name}.html

%files -n %{libname}%{major}
%defattr(-,root,root)
%{_libdir}/lib*.so*

%changelog
* Wed Dec 31 2003 Abel Cheung <deaddog@deaddog.org> 0.6-1mdk
- 0.6 (resurrected, this version works)
- Source1: module description data splitted into another tarball
- Patch0: Strip extra suffix caused by gzip'ed kernel modules

* Mon Aug 25 2003 Austin Acton <aacton@yorku.ca> 0.3-2mdk
- rebuild for libxml++

* Sun Apr 27 2003 Austin Acton <aacton@yorku.ca> 0.3-1mdk
- initial package
